package cicaprojekt;

import java.util.List;

public class ONeill implements Destroyable{
	private Game game;
	private List<ZPM> zpmContainer; 
	private cicaprojekt.Tile currentTile;
	private Direction facingDirection;
	private Box boxLifted;
	
	
	public void destroy() {
		System.out.println("ONeill.destroy() hivodott.");
	}
	
	public cicaprojekt.Tile getCurrentTile() {
		System.out.println("ONeill.getCurrentTile() hivodott.");
		return currentTile;
	}
	
	public void setCurrentTile(cicaprojekt.Tile newCurrentTile) {
		System.out.println("ONeill.setCurrentTile(Tile) hivodott.");
		currentTile = newCurrentTile;
	}
	
	public void move(Direction direction) {
		System.out.println("ONeill.move(Direction) hivodott.");
		setCurrentTile(currentTile.getAdjacentTile(direction));
	}
	
	public void boxLift() {
		System.out.println("ONeill.boxLift() hivodott.");
		boxLifted = (Box) currentTile.getAdjacentTile(facingDirection).removeItemFromTile();
		
	}
	
	public void boxDrop() {
		System.out.println("ONeill.boxDrop() hivodott.");
		currentTile.getAdjacentTile(facingDirection).setItemOnTile(boxLifted);
		boxLifted = null;
	}
	
	public Direction getFacingDirection() {
		System.out.println("ONeill.getFacingDirection() hivodott.");
		return facingDirection;
	}
	
	public void setFacingDirection(Direction direction) {
		System.out.println("ONeill.setFacingDirection() hivodott.");
		facingDirection = direction;
	}
	
	public void shootStargate(cicaprojekt.Stargate stargate) {
		System.out.println("ONeill.shootStargate(Stargate) hivodott.");
		currentTile.getAdjacentTile(facingDirection).spawnStargate(stargate, facingDirection);
	}
}
